%def_with dbus
%define major 0.10

Name: tomboy
Version: %major.0
Release: alt1

Summary: Tomboy is a desktop note-taking application

Group: Office
License: LGPL
Url: http://www.beatniksoftware.com/tomboy

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/%name/%major/%name-%version.tar.bz2
Source1: %name
#Source2: %name.menu
Patch: %name.patch
Patch1: %name-noroot.patch

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
BuildPreReq: libGConf-devel
BuildPreReq: desktop-file-utils

# for spelling support
BuildPreReq: libgtkspell-devel >= 2.0.9
#add_findprov_lib_path %_libdir/%name

# Automatically added by buildreq on Sat Jan 12 2008 (-bi)
BuildRequires: GConf docbook-dtds gcc-c++ gnome-doc-utils-xslt libgalago-sharp libgmime-sharp libgnome-sharp libgnomeprintui-devel mono-addins mono-mcs mono-nunit perl-XML-Parser

# manually:
%if_with dbus
#BuildRequires: libdbus-mono-devel libdbus-glib-devel libdbus-devel
BuildRequires: ndesk-dbus ndesk-dbus-glib
%endif
#BuildRequires: libgnome-panel-devel libgtk-sharp2-devel libgnome-sharp-devel
BuildPreReq: gnome-doc-utils
BuildRequires: /proc

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day.  The key to Tomboy's usefulness lies
in the ability to relate notes and ideas together.  Using a WikiWiki-like
linking system, organizing ideas is as simple as typing a name.
Branching an idea off is easy as pressing the Link button. And links
between your ideas won't break, even when renaming and reorganizing them.

%prep
%setup -q
#%patch1
# Why tomboy finds nunit pkgconfig?
%__subst 's|"nunit"|"mono-nunit"|g' configure

%build
%configure --disable-schemas-install --disable-scrollkeeper \
	%{!?_with_dbus: --enable-dbus=no} \
	--with-mono-addins=system
%__subst "s|%_libdir/bonobo/servers|\$(libdir)/bonobo/servers|" Makefile data/Makefile
%make_build

%install
%make_install install DESTDIR=%buildroot
install %SOURCE1 %buildroot/%_bindir
%__subst "s|/usr/lib|%_libdir|g" %buildroot/%_bindir/*
#%__subst "s|tomboy --search|tomboy|g" %buildroot%_desktopdir/%name.desktop
%find_lang %name --with-gnome

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS ChangeLog README NEWS
%_bindir/%name
%_bindir/%name-panel
%dir %_libdir/%name/
%_libdir/%name/addins/
%_libdir/%name/Tomboy.exe
%_libdir/%name/Tomboy.exe.config
%_libdir/%name/libprintnotes.so
%_libdir/%name/libtomboy.so
%_man1dir/*
#%_pixmapsdir/*
%_desktopdir/*
#%_libdir/dbus-1.0/services/*
#%_pkgconfigdir/*
%_libdir/bonobo/servers/*
%_datadir/%name/
%_iconsdir/*/*/apps/tomboy.png
%_iconsdir/*/*/apps/tomboy.svg
%config %_sysconfdir/gconf/schemas/*
%{?_with_dbus:%_datadir/dbus-1/services/*}

%changelog
* Fri Mar 21 2008 Vitaly Lipatov <lav@altlinux.ru> 0.10.0-alt1
- new version 0.10.0 (with rpmrb script)

* Mon Jan 21 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.4-alt1
- new version 0.9.4 (with rpmrb script)

* Sat Jan 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt1
- new version 0.9.3 (with rpmrb script)
- build with system Mono.Addins (fix bug #13976)
- build with ndesk-dbus (see bug #13975)
- strict libdir entries in files section

* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt2
- build with libgtkspell
- update buildreq

* Fri Dec 21 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt1
- new version 0.9.2 (with rpmrb script)

* Tue Dec 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt1
- new version 0.8.2 (with rpmrb script)

* Tue Oct 16 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- new version 0.8.1 (with rpmrb script)

* Fri Sep 28 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt2
- fix tomboy start script (path for addins)

* Sun Sep 23 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)
- fix libdir path for x86_64 (bug #12883)

* Sun Sep 16 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.4-alt2
- disable check for modprobe

* Tue Sep 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.4-alt1
- new version 0.7.4 (with rpmrb script)

* Sat May 19 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt1
- new version 0.7.1 (with rpmrb script)

* Thu May 03 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.0-alt1
- new version 0.7.0 (with rpmrb script)

* Fri Mar 16 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version 0.6.1 (with rpmrb script)

* Tue Feb 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.5.8-alt1
- new version 0.5.8 (with rpmrb script)

* Thu Jan 25 2007 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt0.1
- new version 0.5.4 (with rpmrb script)

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- new version 0.5.2 (with rpmrb script)
- add hack: replace utfed chars with iso-8859-1 symbols (some broken with our mono?)

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt1
- rebuild with rpm-build-mono

* Fri Dec 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.3
- add requires to gnome/gmime-sharp, enable dbus build

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.2
- update buildreqs, file packing

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.1
- new version 0.4.1 (with rpmrb script)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt0.1
- new version 0.3.5 (with rpmrb script)
- remove debian menu

* Tue Nov 15 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt2cvs20051116
- new version
- fix requires
- add some patches for build

* Sat Sep 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt1
- release
- fix %_libdir/%name owner
- fix menu

* Fri Aug 19 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.2pre
- rebuild with new mono

* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.1pre
- CVS version from 2005-06-18

* Sun Apr 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- new version (CVS from 2005-04-10)

* Mon Dec 27 2004 Vitaly Lipatov <lav@altlinux.ru> 0.2.2-alt1.1
- add gtk-sharp requires

* Thu Dec 23 2004 Vitaly Lipatov <lav@altlinux.ru> 0.2.2-alt1
- first build for ALT Linux Sisyphus

